/**
 * Project - Company
 * 会社情報ページ
 */

/* company */
.p-companySmallSection {
  padding-top: 2rem;
  border-top: 1px solid;
}
.p-companyFeatureContainer {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 40px;

  @media screen and (max-width: 767px) {
    grid-template-columns: 1fr;
    gap: 24px;
  }
}
.p-companyFeatureText {
  padding: 20px;
  border-bottom: 1px solid;
  line-height: 1.7;
  letter-spacing: 0.02em;
  height: fit-content;
}
.p-companyRegionContents {
  border-top: 1px solid;
}
.p-companyRegionIntroduction {
  padding-block: 2rem;
  line-height: 1.7;
  letter-spacing: 0.02em;

  p + p {
    margin-top: 1.7em;
  }
}
.p-companyRegionList {
  list-style: none;
  margin-top: 72px;
  display: grid;
  gap: 176px;

  @media screen and (max-width: 767px) {
    margin-top: 24px;
    gap: 64px;
  }
}
.p-companyRegionProduct {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 40px;

  @media screen and (max-width: 767px) {
    grid-template-columns: 1fr;
    gap: 24px;
  }
}
.p-companyRegionProductTitle {
  font-size: 24px;
  border-bottom: 1px solid;
  padding-bottom: 1rem;
  margin-bottom: 20px;
}
.p-companyRegionProductText {
  line-height: 1.7;
  letter-spacing: 0.02em;
}
.p-companyRegionButtonWrapper {
  margin-top: 20px;
}
.p-companyRegionButton {
  color: var(--color-text-light);
  line-height: 1;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-inline: 16px;
  padding-block: 12px;
  gap: 4px;
  max-width: 260px;
  width: 100%;
  min-height: 48px;
  background-color: var(--color-bg-black);
  border: 1px solid var(--color-bg-black);
  border-radius: 4px;
  transition: background-color 0.2s ease, color 0.2s ease;

  &::after {
    content: "";
    width: 1rem;
    height: 1rem;
    background-image: url("../../../images/icon_arrow_right_white.svg");
    background-size: contain;
    background-position: center;
  }

  @media (hover: hover) {
    &:hover {
      background-color: var(--color-bg-white);
      color: var(--color-bg-black);

      &::after {
        background-image: url("../../../images/icon_arrow_right_black.svg");
      }
    }
  }
}

.p-companyAboutCta {
  padding-block: 64px 110px;

  @media screen and (max-width: 767px) {
    padding-block: 48px 80px;
  }
}

.p-companyMap {
  aspect-ratio: 1200 / 660;
  width: 100%;
  margin-top: 48px;

  @media screen and (max-width: 767px) {
    aspect-ratio: 1 / 1;
  }

  iframe {
    width: 100%;
    height: 100%;
    display: block;
  }
}

.p-companyTableItem {
  border-bottom: 1px solid;
  padding-block: 20px;
  padding-inline: 20px;
}

.p-companyTableTitle {
  font-size: 22px;
  font-weight: bold;
  letter-spacing: 0.02em;
}

.p-companyTableText {
  font-size: 18px;
  letter-spacing: 0.02em;
  line-height: 1.6;
  padding-left: 20px;
}
